Name:           bobo-switchmenus
Version:        1.1
Release:        2%{?dist}
Summary: Provides a more usable menus and permits to get full menus

Group:          User Interface/Desktops
License:        GPL
#URL:            
Source0:        %{name}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Packager:	Roberto "Bobo" Pinna <bobo@di.unipmn.it>

#BuildRequires:  
#Requires:       

%description
SwitchMenus is a GNOME/KDE utility that provides custom Applications Menu with the usefull program for teaching Lab.
Users can switch to full menus and back just with a click.

%prep
%setup -q


%build
# % configure
# make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
# make install DESTDIR=$RPM_BUILD_ROOT

install -m 755 -d $RPM_BUILD_ROOT/usr/bin/
install -p -m 755 -t $RPM_BUILD_ROOT/usr/bin/ bobo-switchmenus
install -m 755 -d $RPM_BUILD_ROOT/usr/share/bobo-switchmenus/
install -p -m 644 -t $RPM_BUILD_ROOT/usr/share/bobo-switchmenus/ *.menu
install -m 755 -d $RPM_BUILD_ROOT/usr/share/applications/
install -p -m 644 -t $RPM_BUILD_ROOT/usr/share/applications/ *.desktop
install -m 755 -d $RPM_BUILD_ROOT/usr/share/desktop-directories/
install -p -m 644 -t $RPM_BUILD_ROOT/usr/share/desktop-directories/ *.directory

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
#%doc
#/usr/share/applications/*.desktop
/usr/bin/bobo-switchmenus
/usr/share/bobo-switchmenus/applications.menu
/usr/share/bobo-switchmenus/settings.menu
/usr/share/bobo-switchmenus/applications-kmenuedit.menu
/usr/share/desktop-directories/bobo-SwitchMenus.directory
/usr/share/applications/bobo-gnomedefaultmenus.desktop
/usr/share/applications/bobo-gnomefullmenus.desktop
/usr/share/applications/bobo-kdedefaultmenus.desktop
/usr/share/applications/bobo-kdefullmenus.desktop
/usr/share/applications/bobo-jmt.desktop
/usr/share/applications/bobo-mic2006.desktop
/usr/share/applications/bobo-mic1mmv.desktop
/usr/share/applications/bobo-protege.desktop
/usr/share/applications/bobo-protegeserverstart.desktop
/usr/share/applications/bobo-protegeserverstop.desktop
/usr/share/applications/bobo-mobius.desktop
/usr/share/applications/bobo-visualparadigm.desktop


%changelog
